For the complete documentation index, see llms.txt. This page is also available as Markdown.

Router address

get

Retrieves the router address for the specified version and chain ID.

Authorizations
AuthorizationstringRequired
Query parameters
versionstring · enumRequired
  • The version of the API to use, default is 'v2'.
Possible values:
chainIdnumber · doubleRequired
  • The ID of the blockchain network.
Header parameters
AuthorizationstringRequired
  • The authorization token from the request header.
Responses
200

A promise that resolves to an OdosAPIResponse containing the OdosExecuteFunctionResult.

application/json

Represents the structure of a response from the Odos API.

successbooleanRequired

Indicates whether the API request was successful.

messagestringRequired

A message providing additional information about the API response.

get/odos/router-address
GET /odos/router-address?version=v2&chainId=1 HTTP/1.1
Host: beta.usemoon.ai/
Authorization: text
Accept: */*
200

A promise that resolves to an OdosAPIResponse containing the OdosExecuteFunctionResult.

{
  "success": true,
  "message": "text",
  "data": {
    "approve": null,
    "broadcasted": {
      "success": true,
      "message": "text",
      "data": "text"
    },
    "odos": null,
    "message": "text",
    "success": true,
    "user_op": "text",
    "data": null,
    "params": [],
    "function": "text",
    "transaction": {
      "data": "text",
      "value": "text",
      "to": "text",
      "from": "text",
      "gasPrice": "text",
      "gasLimit": "text",
      "nonce": 1,
      "chainId": "text",
      "maxPriorityFeePerGas": "text",
      "maxFeePerGas": "text",
      "type": 1
    }
  }
}